# -*- mode: ruby -*-
# vi: set ft=ruby :

$script = <<-SCRIPT
USER=vagrant
#cat /hadoop/example.pem.pub >> /home/vagrant/.ssh/authorized_keys
echo 'export PATH=\$PATH:/home/vagrant/.local/bin' >> /home/vagrant/.bashrc
cat << EOF > /tmp/new_hosts
192.168.18.110 localnode01.hadoopuni.com
192.168.18.111 localnode02.hadoopuni.com
192.168.18.112 localnode03.hadoopuni.com
EOF

cat /tmp/new_hosts /etc/hosts > /tmp/hosts
mv /tmp/hosts /etc/hosts


export PATH=$PATH:/home/vagrant/.local/bin
SCRIPT

Vagrant.configure("2") do |config|
  config.vm.box = "generic/ubuntu2204"

  #config.vm.synced_folder ".", "/hadoop"
  config.vm.provision "shell", inline: $script

  config.vm.define "localnode01" do |node|
    node.vm.hostname = "localnode01.hadoopuni.com"

    #node.vm.network "private_network", type: "dhcp"
    #node.vm.network "private_network", ip: "192.168.56.10"
    node.vm.network "public_network", dev: "eno3", ip: "192.168.18.110"
  end

  config.vm.define "localnode02" do |node|
    node.vm.hostname = "localnode02.hadoopuni.com"
  
    #node.vm.network "private_network", type: "dhcp"
    #node.vm.network "private_network", ip: "192.168.56.11"
    node.vm.network "public_network", dev: "eno3", ip: "192.168.18.111"
  end

  config.vm.define "localnode03" do |node|
    node.vm.hostname = "localnode03.hadoopuni.com"

    #node.vm.network "private_network", type: "dhcp"
    #node.vm.network "private_network", ip: "192.168.56.12"
    node.vm.network "public_network", dev: "eno3", ip: "192.168.18.112"
  end
end
